#version 430 core

in vec2 fragmentUV;
in vec3 vertPosition;
out vec4 fragColor;

uniform sampler2D color_texture;
//uniform float weight[3] = float[] (0.383, 0.242, 0.061);
//uniform float weight[6] = float[] (0.382925, 0.24173, 0.060598, 0.005977, 0.000229, 0.3);
uniform float weight[12] = float[] (0.05318, 0.052915, 0.052128, 0.050842, 0.049095, 0.046936, 0.044427, 0.041633, 0.038627, 0.035482, 0.032269, 0.029055);
void main() 
{
	vec2 texelSize = 1.0 / textureSize(color_texture, 0);
	//texelSize = vec2(1/200, 1/200);
	vec3 blurredColor = texture(color_texture, fragmentUV).rgb * weight[0];

	for (int i = 1; i < 12; i++){
		blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * i, 0.0)).rgb * weight[i];
		blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * i, 0.0)).rgb * weight[i];
	}

	//blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 1, 0.0)).rgb * weight[1];
	//blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 1, 0.0)).rgb * weight[1];

	//blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 2, 0.0)).rgb * weight[2];
	//blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 2, 0.0)).rgb * weight[2];

	//blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 3, 0.0)).rgb * weight[3];
	//blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 3, 0.0)).rgb * weight[3];

	//blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 4, 0.0)).rgb * weight[4];
	//blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 4, 0.0)).rgb * weight[4];

	//blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 5, 0.0)).rgb * weight[5];
	//blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 5, 0.0)).rgb * weight[5];


	fragColor = vec4(blurredColor, 1.0);
	//fragColor =  vec4(texture(color_texture, fragmentUV).rgb, 1.0);
	//fragColor = vec4(0.001 * blurredColor.r, 1.0, 0.0, 1.0);
}
