#version 430 core

in vec2 fragmentUV;
in vec3 vertPosition;
out vec4 fragColor;

uniform sampler2D color_texture;
//uniform float weight[6] = float[] (0.382925, 0.24173, 0.060598, 0.005977, 0.000229, 0.000003);
uniform float weight[12] = float[] (0.05318, 0.052915, 0.052128, 0.050842, 0.049095, 0.046936, 0.044427, 0.041633, 0.038627, 0.035482, 0.032269, 0.029055);


void main() 
{
	vec2 texelSize = 1.0 / textureSize(color_texture, 0);
	vec3 blurredColor = texture(color_texture, fragmentUV).rgb * weight[0];
	
	for (int i = 1; i < 12; i++){
		blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * i)).rgb * weight[i];
		blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * i)).rgb * weight[i];
	}

	//blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 1)).rgb * weight[1];
	//blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 1)).rgb * weight[1];

	//blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 2)).rgb * weight[2];
	//blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 2)).rgb * weight[2];

	//blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 3)).rgb * weight[3];
	//blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 3)).rgb * weight[3];

	//blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 4)).rgb * weight[4];
	//blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 4)).rgb * weight[4];
	
	//blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 5)).rgb * weight[5];
	//blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 5)).rgb * weight[5];

	fragColor = vec4(blurredColor, 1.0);
	//fragColor =  vec4(texture(color_texture, fragmentUV).rgb, 1.0);
}