#version 430 core

in vec2 fragmentUV;
in vec3 vertPosition;
out vec4 fragColor;

uniform sampler2D color_texture;
uniform bool vertical;
uniform float weight[3] = float[] (0.383, 0.242, 0.061);

void main() 
{
	fragColor = vec4(1.0, 1.0, 1.0, 1.0);

	vec2 texelSize = 1.0 / textureSize(color_texture, 0);
	vec3 blurredColor = texture(color_texture, fragmentUV).rgb * weight[0];

	if (vertical) 
	{
		blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 1)).rgb * weight[1];
		blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 1)).rgb * weight[1];

		blurredColor += texture(color_texture, fragmentUV + vec2(0.0, texelSize.y * 2)).rgb * weight[2];
		blurredColor += texture(color_texture, fragmentUV - vec2(0.0, texelSize.y * 2)).rgb * weight[2];
	}
	else 
	{
		blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 1, 0.0)).rgb * weight[1];
		blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 1, 0.0)).rgb * weight[1];

		blurredColor += texture(color_texture, fragmentUV + vec2(texelSize.x * 2, 0.0)).rgb * weight[2];
		blurredColor += texture(color_texture, fragmentUV - vec2(texelSize.x * 2, 0.0)).rgb * weight[2];
	
		fragColor = vec4(0.0, 1.0, 0.0, 1.0);
	}

	//fragColor = vec4(blurredColor, 1.0);
}