#version 330

layout (points) in;
layout (triangle_strip) out;
layout (max_vertices = 4) out;

in float outLifetime[]; 
in int outType[];

uniform mat4 projection;
uniform mat4 view;
uniform vec3 quad1;
uniform vec3 quad2;

smooth out vec2 fragmentUV;

void main()
{
	if (outType[0] != 0)
	{		

		vec3 oldPosition = gl_in[0].gl_Position.xyz;
		//oldPosition = vec3(0.0, 97.0, 125.0);
		mat4 viewProject = projection * view;

		vec3 posi = oldPosition + (-quad1 - quad2) * 1;		
		//posi = vec3(-0.2, 95.6, 126);	

		fragmentUV = vec2(0.0, 0.0);
		gl_Position = viewProject * vec4(posi, 1.0);
		EmitVertex();





		posi = oldPosition + (-quad1 + quad2) * 1;
		//posi = vec3(-0.2, 97.6, 126);

		fragmentUV = vec2(0.0, 1.0);
		gl_Position = viewProject * vec4(posi, 1.0);
		EmitVertex();





		posi = oldPosition + (quad1 - quad2) * 1;
		//posi = vec3(1.7, 95.6, 126);

		fragmentUV = vec2(1.0, 0.0);
		gl_Position = viewProject * vec4(posi, 1.0);
		EmitVertex();





		posi = oldPosition + (quad1 + quad2) * 1;
		//posi = vec3(1.7, 97.6, 126);

		fragmentUV = vec2(1.0, 1.0);
		gl_Position = viewProject * vec4(posi, 1.0);
		EmitVertex();

		EndPrimitive();
	}  	
}
