#version 330

in vec3 position;
in vec3 normal;
layout(location = 2) in vec2 uv;

out vec3 worldNormal;
out vec2 fragmentUV;

out vec3 vertPosition;
out vec4 smPosition[3];
out float ClipSpacePosZ;

uniform mat4 model;
uniform mat4 view_project;
uniform mat4 light_view_project[3];

void main()
{	
	fragmentUV = uv;
	worldNormal = normal;

	gl_Position = view_project * model * vec4(position, 1);
	
	vertPosition = position;

    for (int i = 0 ; i < 3 ; i++) {
		smPosition[i] = light_view_project[i] * model * vec4(position, 1);
	}

	ClipSpacePosZ = gl_Position.z;
}